/*
Vars
*/
:root {
  --bd-theme-primary: #42a59d;
  --bd-theme-secondary: #e16538;
  --bd-theme-light: #F9E5DE;
  --bd-dark-grey-1: #5D636A;
  --bd-grey-1: #EBEBEB;
  --bd-grey-2: #CCC;
  --bd-text-body: #333;
  --bd-fz-p: 16px;
}

/**
 * Generale
 * */
p { text-align: justify; }
p, li {
  font-family: var(--bd-ff-p);
  font-size: var(--bd-fz-p);
  font-weight: var(--bd-fw-normal);
  color: var(--bd-text-body);
  line-height: 26px;
}
hr { margin: 1.5rem 0; background-color: var(--bd-theme-secondary); }

/*
Header
*/
.bd-header__transparent { background-color: transparent; box-shadow: none; }
.logo { padding: 12px 0; }
.logo img { max-width: 160px; }
.main-menu ul li { margin-right: 20px; }
.main-menu ul li:last-child { margin-right: 0; }
.main-menu ul li a { color: var(--bd-common-black); letter-spacing: 1px; font-size: 16px; font-weight: 600; }
.main-menu ul li:hover > a { color: var(--bd-theme-primary); }
.main-menu ul li.has-dropdown > a::after { color: var(--bd-common-black); }
.hamburger-btn span { background: var(--bd-common-black); }
@media (min-width: 1400px) {
  .main-menu ul li { margin-right: 30px; }
  .main-menu ul li a { letter-spacing: 3px; }
}

/*
Header Sticky
*/

.bd-header__main.header-sticky { background: rgba(255,255,255,.9); }
.header-sticky .logo { padding: 12px 0; }
.header-sticky .logo img { max-width: 100px; }
.header-sticky .main-menu ul li a { color: var(--bd-common-black); font-weight: 400; }
.header-sticky .main-menu ul li:hover > a { color: var(--bd-theme-primary); }
.header-sticky .main-menu ul li.has-dropdown > a::after { color: var(--bd-common-black); }
.header-sticky .hamburger-btn span { background: var(--bd-common-black); }

/*
Offcanvas
*/

.offcanvas__logo.logo img { max-width: 180px; }
@media (max-width: 575px) {
  .offcanvas__area { width: 300px; }
  .offcanvas__contact-text a { font-size: 14px; }
}

/*
Breadcrumb
*/

.breadcrumb__section { padding-top: 240px; padding-bottom: 10px; }
.breadcrumb__title { background: linear-gradient(to right, #42a59d, #e47e5b); padding: 10px; color: var(--bd-common-white); font-size: 28px; }
@media (min-width: 768px) {
  .breadcrumb__title { max-width: 60%; }
}

/*
Footer
*/

.bd-footer-widget__about { display: flex; flex-wrap: nowrap; align-items: center; justify-content: center; gap: 30px; }
.bd-footer-widget__about > img { width: 120px; height: auto; object-fit: contain; }
.bd-footer-widget__about > div { margin: 0; }
.bd-footer-widget__about > div > p { font-size: 22px; margin: 0; }
.bd-footer-widget__about > div > p > a { text-decoration: underline; }
.bd-footer-widget__title, .bd-footer-widget__content p, .bd-footer-widget__content hr { color: var(--bd-common-white); }
.bd-footer-widget__title { margin-bottom: 20px; }
.bd-footer-widget__content hr { opacity: 0.5; }
.bd-footer-widget__contacts { list-style-type: none; margin: 0; padding: 0; }
.bd-footer-widget__contacts li { position: relative; padding-top: 4px; padding-bottom: 10px; padding-left: 30px; }
.bd-footer-widget__contacts li i { position: absolute; top: 8px; left: 0; color: var(--bd-common-white); font-size: 16px; }
.bd-footer-widget__contacts li span, .bd-footer-widget__contacts li a { color: var(--bd-common-white); font-size: 16px; }
.bd-footer__copyright.bd-border-top { border-top-color: #FFF; }
.bd-footer__copyright, .bd-footer__copyright a { color: var(--bd-common-white); }

/*
Footer - Icone social
*/

.bd-footer-widget__social a { background-color: transparent; border: 1px solid #FFF; border-radius: 50%; color: var(--bd-common-white); font-size: 20px; }

/*
Home-Page - Cover
*/

.cover__section { position: relative; width: 100%; overflow: hidden; }
.cover__section .cover__scroll-down { position: absolute; bottom: 30px; left: 50%; width: 60px; margin-left: -30px; height: auto; animation: bounce 2s infinite; }
@keyframes bounce {
  0%, 20%, 50%, 80%, 100% {
    transform: translateY(0);
  }
  40% {
    transform: translateY(-20px);
  }
  60% {
    transform: translateY(-10px);
  }
}
@media (orientation: portrait) {
  .cover__section { height: auto; }
  .cover__section video { position: relative; width: 100%; height: auto;}
  .cover__section video.horizontal-video { display: none; }
  .cover__section video.vertical-video { display: block; }
}
@media (orientation: landscape) {
  .cover__section { height: 100vh; }
  .cover__section video { position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%); min-width: 100%; min-height: 100%; width: auto; height: auto; }
  .cover__section video.horizontal-video { display: block; }
  .cover__section video.vertical-video { display: none; }
}

/*
About
*/

.bd-about__text p.intro { font-size: 22px; letter-spacing: 1.2px; line-height: 1.5; }
.bd-about__text p.intro > strong { color: var(--bd-theme-secondary); }

/*
Contatti
*/

.bd-contact__map iframe { display: block; height: 400px; }

/*
Privacy Policy
*/

.legal-notice ul { padding: 0 0 0 20px; margin-bottom: 15px; }
.legal-notice h2 { font-size: 24px; margin-top: 30px; }
.legal-notice h3 { font-size: 18px; margin-top: 0; }

/*
Pagina di errore
*/

.error__container { display: flex; justify-content: center; align-items: center; text-align: center; }
.error__text { font-size: 9rem; font-weight: bold; color: var(--bd-theme-primary); }

/*
Paginazione
*/
.bd-basic-pagination ul li { margin-bottom: 10px; }

/*
Delivery
*/
.gi-delivery { list-style-type: none; margin: 20px 0 0 0; padding: 0; }
.gi-delivery > li { display: inline-block; border-bottom: 0; margin-right: 12px; }
.gi-delivery img { width: 60px; height: auto; }

/*
Lista
*/
ul.gi-list { list-style-type: none; margin: 0; padding: 0; }
.gi-list > li { padding: 6px 0; border-bottom: 1px solid var(--bd-theme-secondary); }
.gi-list.gio-list > li { border-color: #1a8415; }
.gi-list > li:last-child { border-bottom: 0; }

/*
Section Title
*/
.bd-section__subtitle { font-family: 'Montserrat', sans-serif; }
.bd-section__title { color: #616a6e !important; }
.bd-section__title span { color: var(--bd-theme-secondary); font-weight: 600; }
.bd-section__title-lg { font-size: 32px; color: #616a6e; }

/*
Padding
*/
.p-10 { padding: 10px; }
.p-20 { padding: 20px; }
.p-30 { padding: 30px; }
.p-40 { padding: 40px; }
.p-50 { padding: 50px; }
.p-60 { padding: 60px; }
.p-70 { padding: 70px; }
.p-80 { padding: 80px; }
.p-90 { padding: 90px; }
.p-100 { padding: 100px; }

/*
Mousehover su immagini
*/
.popup-image.zoom-image {
  position: relative;
  display: inline-block;
  overflow: hidden;
  cursor: pointer;
}
.popup-image.zoom-image::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7); /* Colore grigio scuro semi-trasparente */
  opacity: 0; /* Invisibile di default */
  transition: opacity 0.3s ease-in-out; /* Animazione per l'opacità */
  z-index: 5; /* Posizionato sotto l'icona */
}
.popup-image.zoom-image:hover::before {
  opacity: 1; /* Rende la copertura visibile al passaggio del mouse */
}
.popup-image.zoom-image .zoom-icon {
  display: none;
}
.popup-image.zoom-image:hover .zoom-icon {
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: #FFF; /* Colore dell'icona */
  font-size: 36px; /* Dimensione dell'icona */
  z-index: 10; /* Assicura che l'icona sia sopra la copertura */
  display: flex;
  align-items: center;
  justify-content: center;
}

/*
Testo Gradiente
*/

.gi-text  {
  font-weight: 700;
  color: #e47e5b;
  background: linear-gradient(to right, #42a59d, #e47e5b);
  -webkit-background-clip: text; 
  background-clip: text;
  -webkit-text-fill-color: transparent;
  color: transparent;
}
.gio-text {
  font-weight: 700;
  color: #56aa14;
  background: linear-gradient(to right, #1a8415, #adb418); /* #56aa14 */
  -webkit-background-clip: text; 
  background-clip: text;
  -webkit-text-fill-color: transparent;
  color: transparent;
}

/*
Margini laterali responsivi
*/

@media (min-width: 992px) {
    .ml-lg-70 {
        margin-left: 70px;
    }
    .mr-lg-70 {
        margin-right: 70px;
    }
}

/*
Sfondo fungo
*/

.bg-fungo {
  background-image: url('/assets/img/bg-fungo.png');
  background-position: bottom right;
  background-repeat: no-repeat;
  background-size: auto;
}

/*
Varie
*/

.container-no-padding .row>* { padding-right:0;padding-left:0;margin-top:0;margin-bottom:0; }
.text-white, .text-white h1, .text-white h2, .text-white h3, .text-white h4, .text-white h5 { color: #FFF !important; }
.text-secondary, .text-secondary h1, .text-secondary h2,.text-secondary h3, .text-secondary h4, .text-secondary h5 { color: var(--bd-theme-secondary) !important; }
.light-bg { background-color: var(--bd-theme-light); }
.dark-grey-bg { background-color: var(--bd-dark-grey-1); }
.greeniuronic-bg { background: linear-gradient(to right, #42a59d, #e47e5b); }
.organic-bg { background: linear-gradient(to right, #1a8415, #adb418); }
